Generative Search Source

Generative search source public API provides our customers and partners a programmatic interface to search published content including DocCenter, NewsCenter and Knowledge content. Developers can query all content that a user has access to using a search term.

Shareable Content Filter (Optional)

The optional isShareable boolean parameter filters content based on external shareability. When set to true, only externally shareable content is returned. When set to false, only non-shareable content is returned. If the parameter is omitted, all content is returned regardless of shareable status (preserving backward compatibility). The response documents will include the isShareable field only when this request parameter is provided.

Validation Rules and Errors

Validation ruleError CodeError Message
Incorrect page size400Page <size> is incorrect. Please set a value between 1-20
Expired or invalid auth token401Default error message that Auth filter returned
No Aura Feature enabled403No Aura Feature enabled
Internal server errors500Internal server error: <reason>
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

The request payload.

string

User prompt can be a nature language and keyword

integer | null

How many sources to be returned, default to 10, not more than 20

filter
object

Use to filter the content. It uses the json format, like {"operator":"and", "conditions":[{"attribute":"custom.propert_a", "operator":"in", "value":["test"]}]}

boolean

Optional filter flag. When set to true, only externally shareable content is returned. When set to false, only non-shareable content is returned. If not provided, all content is returned regardless of shareable status and the response documents will not include the isShareable field.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json